Package com.ocient.util

# Class MockQueryRegistry

java.lang.Object
com.ocient.util.MockQueryRegistry

public final class MockQueryRegistry extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MockQueryRegistry.ExternalConfig`
Externalized query configuration.
`static class`
`MockQueryRegistry.FetchArgs`
Externalized fetch data request configuration.
`static class`
`MockQueryRegistry.FetchError`
Represents an externally injected error.
`static class`
`MockQueryRegistry.QueryArgs`
Externalized query optimization and stream configuration.
`static class`
`MockQueryRegistry.RedirectLocation`
Represents a redirect location.

## Constructor Summary

Constructors
Constructor
Description
`MockQueryRegistry()`

## Method Summary

Modifier and Type
Method
Description
`MockOcientCluster.IdempotentResultSetProvider`
`getResultSetProvider(String sql)`
Returns a result set provider given the sql text.
`void`
`registerResultSetProvider(String sql, MockOcientCluster.IdempotentResultSetProvider provider)`
Registers a SQL query with an associated `MockOcientCluster.IdempotentResultSetProvider` to ensure performant, replayable operations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockQueryRegistry

public MockQueryRegistry()

## Method Details

### registerResultSetProvider

public void registerResultSetProvider(String sql, MockOcientCluster.IdempotentResultSetProvider provider)
Registers a SQL query with an associated `MockOcientCluster.IdempotentResultSetProvider` to ensure performant, replayable operations.

### getResultSetProvider

public MockOcientCluster.IdempotentResultSetProvider getResultSetProvider(String sql) throws IOException
Returns a result set provider given the sql text. Returns null if no provider is found.

Throws:
  `IOException`